Abmessung

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Dimension and the translation is 37% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Text.svg Text Vorherige:
Nächste: BSpline Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Abmessung

Menüeintrag
Entwurf → Abmessung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
D I
In der Version eingeführt
-
Siehe auch
Bemaßung umkehren


Beschreibung

Das Bemaßungswerkzeug erstellt ein Objekt, das den Abstand zwischen zwei Punkten anzeigt. Ein dritter Punkt legt die Position der Maßlinie fest.

Dieses Werkzeug kann direkt an Festkörpern anliegende Kanten bzw. Linien messen. Bei einer Änderung des Körpers aktualisieren sich die Maße automatisch. Das Bemaßungswerkzeug kann zudem den Durchmesser oder Radius von Krümmungen messen, die z.B. durch Bogen oder Abrunden, Abrundung erstellen und Verrundung erstellt wurden.

Die resultierende Größe wird in der 3D-Ansicht angezeigt und als Zeichenobjekt behandelt. Das Zeichenobjekt kann auf einer TechDraw Workbench-Seite angezeigt werden, in dem man die Neue Draft-Ansicht- oder TechDraw Neuer Bogen-Werkzeuge verwendet. Alternativ hat TechDraw seine eigenen Werkzeuge, um Größen anzuzeigen, wie z.B. TechDraw Längenbemaßung und TechDraw Radiusbemaßung. Diese Tools sind jedoch für die Bereitung technischer Zeichnungen gedacht, wodurch sie die Größen nur auf der Zeichenfläche und nicht in der 3D-Ansicht generieren.

Screenshot Draft Dimension.jpg

Durch drei Punkte definierte Bemaßung


Verwendung

  1. Die Schaltfläche Draft Dimension.png Draft-Dimension klicken oder die Tasten D und dann I betätigen.
  2. Einen Punkt in der 3D-Ansicht anklicken oder eine Koordinate eingeben und die Schaltfläche Draft AddPoint.svg Punkt hinzufügen drücken.
  3. Einen zweiten Punkt in der 3D-Ansicht anklicken oder eine Koordinate eingeben und die Schaltfläche Draft AddPoint.svg Punkt hinzufügen drücken. Die ersten beiden Punkte den zu messenden Abstand.
  4. Einen dritten Punkt in der 3D-Ansicht anklicken oder eine Koordinate eingeben und die Schaltfläche Draft AddPoint.svg Punkt hinzufügen drücken. Der letzte Punkt definiert die Position der Bemaßungslinie.

Die Bemaßung kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken des Draft Edit.svg Bearbeiten-Buttons. Dann kannst Du die Punkte an eine andere Position ziehen.

Die Position der Messpunkte können nach der Erstellung durch Änderung der 'Start'- und 'End'-Eigenschaften verändert werden.

Die Position der Bemaßungslinie kann nach der Erstellung durch Änderung der 'Direction'-Eigenschaft verändert werden.

Verfügbare Bemaßungsarten

Die 'Modifizierungs'-Tasten (Alt oder Shift) nach Auswahl eines Punkts oder einer Kante loslassen.

  • Linear dimensions: hold the Alt key, or click on the View-select.svg select edge button, and pick a straight edge, then pick a second point to draw the dimension line parallel to that edge.
Note: you can also pre-select the edge before calling the tool.
  • Horizontal and vertical dimensions: pick one point, then pick a second point, then hold the Shift key and move the pointer horizontally or vertically, then pick a third point to draw the dimension line parallel to either the X axis or the Y axis.
Note 1: click and hold Shift and move the pointer in different directions many times until the dimension line aligns to the desired axis. Clicking Shift while the pointer is far from the first point will usually align the dimension to the X axis; if the pointer is close to the first point it will usually align the dimension to the Y axis.
Note 2: instead of picking two points, pick an edge while holding Alt.
  • Diameter dimensions: hold the Alt key and pick a curved edge, then pick a second point to draw the dimension line.
    • Radius dimensions: hold the Alt key and pick a curved edge, then hold the Shift key and pick a second point to draw the dimension line.
  • Angular dimensions: hold the Alt key and then pick two straight edges, then pick a point between the two edges to show the acute or obtuse angle, or elsewhere to show a supplementary or explementary angle.
Note: the displayed angle largely depends on the original position of the selected edges. If you would like to display a particular angle, you may have to add auxiliary Draft Lines that extend from the original edges, and measure these extensions.

Note: by pre-selecting an edge, or by picking it with Alt or View-select.svg select edge, the dimension will become parametric, that is, it will remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them, and adjust the displayed measurement.

Optionen

  • Drücke die Taste X, Y oder Z nach einem Punkt, um den nächsten Punkt auf die entsprechende Achse festzulegen.
  • Um Koordinaten von Hand einzugeben, tippe einfach die Zahlen gefolgt von ENTER zwischen der X-, Y- und Z-Komponente.
  • Drücken von CTRL während des Zeichnens lässt snapping Deinen Punkt bei der nächsten Rastposition einschnappen, unabhängig vom Abstand.
  • Halten von SHIFT legt constrain die Maßlinie in horizontaler oder vertikaler Richtung fest oder wechselt zwischen Radius und Durchmesser, falls an einem Kreisbogen gearbeitet wird.
  • Tippe auf R oder klicke in das Kontrollkästchen, um den Relativ Modus ein- oder abzuschalten. Wenn der Relativmodus ausgewählt ist, sind die Koordinaten des nächsten Punktes relativ zum vorherigen Punkt. Ansonsten sind die Koordinaten absolute zum Ursprung (0,0,0) des Koordinatensystems.
  • Drücke T oder klicke das Kontrollkästchen neben Nächstes, um es zu de/aktivieren. Bei aktiviertem Nächstes-Modus kannst Du fortlaufende Bemaßungen zeichnen, eine nach der anderen, die die gleichen Basislinie haben.
  • Drücke ESC oder den Abbrechen-Button, um den aktuelle Linien-Befehl abzubrechen.
  • Anstatt Messpunkte einzugeben, wird durch Auswahl einer existierenden Kante mit Alt die Bemaßung parametrisch und merkt sich, mit welcher Kante sie verbunden ist. Wenn sich die Endpunkte der Kante später verschieben, folgt ihnen die Bemaßung.
  • Wenn eine Kante vor dem Beginn des Bemaßungsbefehl gewählt wird, ist die erstellte Bemaßung ebenfalls parametrisch.
  • Die Richtung der Bemaßung kann später durch Anpassung der "Direction"-Eigenschaft verändert werden.

Eigenschaften

  • DATAStart: Der Startpunkt des zu messenden Abstands
  • DATAEnd: Der Endpunkt des zu messenden Abstands
  • DATADimline: Ein Punkt, durch den die Maßlinie verlaufen muss
  • VIEWDisplay Mode: Gibt an, ob der Text an den Maßlinien ausgerichtet ist, oder immer dem Blickpunkt folgt
  • VIEWFont Size: Die Größe der Zeichen
  • VIEWExt Lines: Die Größe der Erweiterungslinie (zwischen den Messpunkten und der Maßlinie)
  • VIEWText Position: Kann benutzt werden, um die Textanzeige an einer bestimmten Position zu erzwingen
  • VIEWText Spacing: Gibt den Platz zwischen Text und Maßlinie an
  • VIEWOverride: Zeigt einen Text anstatt des Maßes an. Füge "$dim" in den Text ein, um das Maß anzuzeigen
  • VIEWFont Name: Die Schriftart für den anzuzeigenden Text. Es kann ein Schriftartennamen sein, wie "Arial", ein Schriftstil wie "sans", "serif" oder "mono" oder eine Familie wie "Arial,Helvetica,sans" oder ein Name mit einem Schriftstil wie "Arial:Bold". Wenn die angegebene Schriftart nicht auf dem System gefunden wird, wird eine generische benutzt.
  • VIEWArrow Type: Der Typ des zu benutzenden Pfeils
  • VIEWArrow Size: Die Größe der Pfeile
  • VIEWDecimals: Die Anzahl der anzuzeigenden Dezimalstellen der Bemaßung
  • VIEWFlip Arrows: Vertauschen der Richtung der Pfeile
  • VIEWUnit Override: Drückt den Abstand in der angegebenen Einheit aus (falls leer, wird die Einheit des Systems (system unit) verwendet) introduced in version 0.17

Data

  • DATAStart: specifies the start point of the distance to measure.
  • DATAEnd: specified the end point of the distance to measure.
  • DATADimline: specifies a point through which the dimension line must pass.
  • DATADistance: (read-only) indicates the measured length.
  • DATADiameter: if it is True it displays a diameter dimension; otherwise it displays a radius dimension; this property only works if the dimension is attached to a circular arc.

View

  • VIEWExt Lines: specifies the maximum length of the extension lines that go from the measurement points to the dimension line.
  • VIEWExt Overshoot: specifies the additional length of the extension lines beyond the dimension line.
  • VIEWDim Overshoot: specifies the additional length added to the dimension line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the ends of the dimension line.
  • VIEWArrow Type: specifies the type of symbol displayed at the ends of the dimension line, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWFlip Arrows: specifies whether to flip the orientation of the symbols at the ends of the dimension line; it only works if these symbols are arrows.
  • VIEWFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWFont Size: specifies the size of the letters. If the dimension object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VIEWFlip Text: specifies whether to flip the orientation of the text indicating the measurement.
  • VIEWText Position: specifies the position of the text in absolute coordinates, referred to the origin (0,0,0); leave this property at its default value (0,0,0) to display the text next to the dimension line.
  • VIEWText Spacing: specifies the space between the text and the dimension line.
  • VIEWOverride: specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to display the measurement value.
  • VIEWDecimals: specifies the number of decimal places to display on the measurement.
  • VIEWShow Unit: if it is True the unit is displayed next to numerical value of the measurement.
  • VIEWUnit Override: specifies a unit in which to express the measurement, for example, "km", "m", "cm", "mm", "mi", "ft", "in"; leave this property blank to use the default units. introduced in version 0.17

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

The Dimension tool can be used in macros and from the Python console by using the following function:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

There are various ways to invoke this function, depending on the arguments passed to it:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Erstellt ein Bemaßungs-Objekt mit der Bemaßungslinie durch p3.
  • Das Bemaßungs-Objekt übernimmt die in der Befehlszeile (command bar) gesetzte Linienbreite und -farbe.
  • Es gibt viele Wege zur Erstellung einer Bemaßung, abhängig von den übergebenen Argumenten:
  1. (p1,p2,p3): erstellt eine Standardbemaßung von p1 bis p2.
  2. (Objekt,i1,i2,p3): erstellt eine verbundene Bemaßung zum angegebenen Objekt, mit dem Abstand zwischen den Kanten i1 und i2.
  3. (Objekt,i1,Modus,p3): erstellt eine verbundene Bemaßung zum angegebenen Objekt, i1 ist der Index der zu messenden (gebogenen) Kante und Modus ist entweder "radius" oder "diameter". Liefert das neu erstellte Objekt zurück.

To create an angular dimension use the following function:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • erstellt eine Winkelbemaßung vom angegebenen Mittelpunkt mit den angegebenen Winkeln durch den Punkt p3.
  • liefert das neu erstellte Objekt zurück.

The view properties of Dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Beispiel:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200

Verknüpfungen (links)

Arrow-left.svg Draft Text.svg Text Vorherige:
Nächste: BSpline Draft BSpline.svg Arrow-right.svg